html, body {
  height:100%;
}

html {
  font-size:14px;
}

body {
  overflow-x:hidden;
}

.navbar-dark .navbar-nav .nav-link, .navbar-dark .navbar-text {
  color:rgba(255, 255, 255, .75);
}

.navbar-dark .navbar-nav .nav-link:focus, .navbar-dark .navbar-nav .nav-link:hover {
  color:rgba(255, 255, 255, 1);
}

.navbar-dark .sidebar-toggle {
  color:rgba(255, 255, 255, 1);
}

.navbar-light .navbar-nav .nav-link, .navbar-light .navbar-text {
  color:rgba(0, 0, 0, .75);
}

.navbar-light .navbar-nav .nav-link:focus, .navbar-light .navbar-nav .nav-link:hover {
  color:rgba(0, 0, 0, 1);
}

.navbar-light .sidebar-toggle {
  color:rgba(0, 0, 0, 1);
}

.sidebar {
  min-width:230px;
  max-width:230px;
  min-height:calc(100vh - 49px);
  transition:all 0.3s;
}

.sidebar ul li a {
  display:block;
  padding:.75rem 1rem;
  text-decoration:none;
}

.sidebar ul ul a {
  padding-left:2.5rem;
}

.sidebar [data-toggle="collapse"] {
  position:relative;
}

.sidebar [data-toggle="collapse"]:before {
  content:"\f0d7";
  font-family:"Font Awesome 5 Free";
  font-weight:900;
  position:absolute;
  right:1rem;
}

.sidebar [aria-expanded="true"]:before {
  content:"\f0d8";
}

.sidebar.toggled {
  margin-left:-250px;
}

.sidebar-dark ul li a {
  color:rgba(255, 255, 255, .75);
}

.sidebar-dark ul ul a {
  background:rgba(0, 0, 0, .15);
}

.sidebar-dark ul li a:hover, .sidebar-dark ul .active a {
  color:rgba(255, 255, 255, 1);
  background:rgba(0, 0, 0, .15);
}

.sidebar-dark [aria-expanded="true"] {
  background:rgba(0, 0, 0, .15);
}

.sidebar-light ul li a {
  color:rgba(0, 0, 0, .75);
}

.sidebar-light ul ul a {
  background:rgba(0, 0, 0, .05);
}

.sidebar-light ul li a:hover, .sidebar-light ul .active a {
  color:rgba(0, 0, 0, 1);
  background:rgba(0, 0, 0, .05);
}

.sidebar-light [aria-expanded="true"] {
  background:rgba(0, 0, 0, .05);
}

.btn-square {
  border-radius:0;
}

.btn-pill {
  border-radius:1.5rem;
}

.btn-icon {
  padding:.375rem .5rem;
}

.btn-icon.btn-sm {
  padding:.25rem .375rem;
}

.btn-icon.btn-lg {
  padding:.5rem .675rem;
}

.accordion .card-header {
  padding:0;
}

.accordion .card-header a {
  padding:.75rem 1.25rem;
  display:block;
  color:inherit;
  text-decoration:none;
}

.accordion .card-header .collapse-icon:before {
  content:"\f068";
  font-family:"Font Awesome 5 Free";
  font-weight:900;
}

.accordion .card-header .collapsed .collapse-icon:before {
  content:"\f067";
}

.content {
  margin-left:20px;
  width:100%;
}

.dataTables_wrapper {
  padding:0;
}

.dataTables_wrapper table {
  overflow:hidden;
}

.dataTables_wrapper th, .dataTables_wrapper td {
  vertical-align:middle;
}

.dataTables_wrapper th {
  white-space:nowrap;
}

.dataTables_wrapper .actions {
  white-space:nowrap;
  text-align:right;
}

@media (max-width: 768px) {
  .sidebar {
    margin-left:-230px;
  }
}

@media (max-width: 768px) {
  .sidebar.toggled {
    margin-left:0;
  }
}

